post
https://sandbox.saner.secpod.com/AncorWebService/perform
This method allows users to create a software deployment rule. When Saner Agent is installed on an end-point, all the software mentioned in this rule gets automatically deployed on the endpoint.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| name | Name of the software provision rule | Yes | string |
| filename | Software file name (URL-encoded allowed) | Yes | string |
| autoreboot | Auto reboot after deployment (true/false) | Yes | string |
| rebootdatetime | Custom reboot time (format: HH:MM:AM/PM) | Conditional | string |
| groupname | Device group name | Yes | string |
| accountid | Account identifier | Yes | string |
| apifilters | Filters to target devices using tags | No | array |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Endpoint.addSoftwareProvision(
name="test",
filename="winscp-5.13.4-setup-x86",
accountid="Demo Account",
groupname="windows",
autoreboot="false"
)
print(response)
client.close()Requires Python 3.9 or later.